Subject: [bug#40680] [PATCH] service: sddm: Have sddm-service-type conflict with other display managers.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 17 Apr 2020 23:00:49 +0200

Hi Efraim,

Efraim Flashner <[email-masked]> skribis:

> * gnu/services/sddm.scm (sddm-shepherd-service)[shepherd-service]:
> Conflict with 'xorg-server.
> ---
>
> I was looking over the services list with raingloom on IRC and I noticed
> that GDM and Slim both provision xorg-server, while SDDM provisions
> display-manager. To ensure that they conflict with each other we can
> either:
>
> A: Have SDDM conflict with 'xorg-server
>
> B: Have SDDM also provision 'xorg-server
>
> I'm currently using SDDM (in Wayland mode) to launch an X session of
> Enlightenment, so I think it's safe enough to say that SDDM can
> provision 'xorg-server.
>
> ---
>
>  gnu/services/sddm.scm | 1 +
>  1 file changed, 1 insertion(+)
>
> diff --git a/gnu/services/sddm.scm b/gnu/services/sddm.scm
> index 1921afce95..aa08859513 100644
> --- a/gnu/services/sddm.scm
> +++ b/gnu/services/sddm.scm
> @@ -171,6 +171,7 @@ Relogin="              (if (sddm-configuration-relogin? config)
>           (documentation "SDDM display manager.")
>           (requirement '(user-processes))
>           (provision '(display-manager))
> +         (conflicts-with '(xorg-server))

‘conflicts-with’ doesn’t exist, right?  :-)

But yes, I think (provision '(xorg-server display-manager)) would be
fine.

Or we can even drop ‘display-manager’ since it’s not used anywhere else.

Thanks,
Ludo’.